---

connect_id: "{{ inventory_hostname }}-connect"
connect_admin_username: "connect-admin"
connect_admin_password: "{{ connect_admin_password_vault }}"
connect_postgres_username: "connect-postgres-username"
connect_postgres_password: "{{ connect_postgres_password_vault }}"
connect_image_name: "{{ shared_service_hostname_harbor }}/smardigo/connect-whitelabel-app"

iam_image_name: "{{ shared_service_hostname_harbor }}/smardigo/iam-app"

elasticsearch_username: "elastic"
elasticsearch_password: "{{ elasticsearch_password_vault }}"

keycloak_id: "{{ inventory_hostname }}-keycloak"
keycloak_admin_username: "keycloak-admin"
keycloak_admin_password: "{{ keycloak_admin_password_vault }}"
keycloak_postgres_username: "keycloak_postgres"
keycloak_postgres_password: "{{ keycloak_postgres_password_vault }}"
keycloak_image_name: "{{ shared_service_hostname_harbor }}/smardigo/keycloak"

kibana_id: "{{ inventory_hostname }}-kibana"

shared_service_mail_hostname: "not_available"

current_realm_name: connect
connect_client_id: "{{ connect_id }}"

current_realm_clients: [
  {
    name: '{{ connect_client_id }}',
    clientId: "{{ connect_client_id }}",
    admin_url: '',
    root_url: '',
    redirect_uris: [
      "{{ http_s }}://{{ connect_base_url }}/*",
      "{{ http_s }}://{{ connect_external_subdomain }}.{{ domain }}/*",
    ],
    secret: '{{ connect_client_id }}',
    web_origins: [
        "{{ http_s }}://{{ connect_base_url }}",
        "{{ http_s }}://{{ connect_external_subdomain }}.{{ domain }}",
    ]
  },{
    name: 'mpm',
    clientId: "mpm",
    admin_url: '',
    root_url: '',
    redirect_uris: [
      "{{ http_s }}://{{ connect_base_url }}/*",
    ],
    secret: '9d9ca019-8245-4b72-b8eb-8020535eba8e',
    web_origins: [
        "{{ http_s }}://{{ connect_base_url }}",
    ]
  },
]
connect_compact_tls_cert_resolver: letsencrypt-http
